//: Playground - noun: a place where people can play

import UIKit

func berechneZinsen( kontostand:Double, zinssatz:Double, laufzeit:Int) -> Double
{
    let neuerKontostand:Double =
        kontostand * pow(zinssatz / 100 + 1, Double(laufzeit))
    return neuerKontostand
}

func wunschbetragErreicht(wunschbetrag:Double, kontostand:Double) -> Bool
{
    var erreicht = false
    
    if kontostand >= wunschbetrag
    {
        erreicht = true
    }
    return erreicht
}

let kontostand = 100.0
let zinssatz = 6.5
let wunschbetrag = 800.0
var neuerKontostand = 0.0
var wunschErreicht = false

for lauf in stride(from: 5, to: 100, by: 5)
{
    neuerKontostand =
    berechneZinsen(kontostand: kontostand, zinssatz: zinssatz, laufzeit: lauf)
    
    print(String(format: "Der Kontostand nach %i Jahren ist %.2f.",
                      lauf, neuerKontostand))
    
    wunschErreicht =
    wunschbetragErreicht(wunschbetrag: wunschbetrag, kontostand: neuerKontostand)
    
    if wunschErreicht == true
    {
        print("Wunschbetrag erreicht!")
        break
    }
}

